CURLINFO_CONTENT_LENGTH_UPLOAD_T(3)

NAME
CURLINFO_CONTENT_LENGTH_UPLOAD_T - specified size of the upload

SYNOPSIS
#include <curl/curl.h>
CURLcode curl_easy_getinfo(CURL *handle, CURLINFO_CONTENT_LENGTH_UPLOAD_T,
                           curl_off_t *content_length);

DESCRIPTION
Pass a pointer to a curl_off_t to receive the specified size of the upload. Stores -1 if the size is not known.

PROTOCOLS
This functionality affects all supported protocols

EXAMPLE
int main(void)
{
  CURL *curl = curl_easy_init();
  if(curl) {
    CURLcode result;
    curl_easy_setopt(curl, CURLOPT_URL, "https://example.com");
    /* Perform the upload */
    result = curl_easy_perform(curl);
    if(result == CURLE_OK) {
      /* check the size */
      curl_off_t cl;
      result = curl_easy_getinfo(curl, CURLINFO_CONTENT_LENGTH_UPLOAD_T, &cl);
      if(result == CURLE_OK) {
        printf("Upload size: %" CURL_FORMAT_CURL_OFF_T "\n", cl);
      }
    }
  }
}

AVAILABILITY
Added in curl 7.55.0

RETURN VALUE
curl_easy_getinfo(3) returns a CURLcode indicating success or error. CURLE_OK (0) means everything was OK, non-zero means an error occurred, see libcurl-errors(3).

SEE ALSO
CURLINFO_CONTENT_LENGTH_DOWNLOAD_T(3), curl_easy_getinfo(3), curl_easy_setopt(3)